classification
Title: write a distutils to distutils2 converter
Type: enhancement Stage: resolved
Components: Distutils2 Versions: 3rd party
process
Status: closed Resolution: rejected
Dependencies: Superseder:
Assigned To: tarek Nosy List: eric.araujo, meatballhat, tarek
Priority: normal Keywords:

Created on 2010-05-10 21:39 by tarek, last changed 2010-11-06 14:34 by eric.araujo. This issue is now closed.

Messages (4)
msg105468 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-05-10 21:39
write a script that converts a distutils or setuptools based setup.py script into a distutils2 one.

This script will need to parse the AST and generate a new setup.py, using a few transformation rules.
msg105472 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-05-10 22:18
lib2to3 can be used as a framework for this feature
msg117691 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-09-30 01:54
Now that we want d2 to use only a static configuration file, I think lib2to3 is not the right tool.  mkpkg (to be given a better name) should be able to convert an existing setup.py to a setup.cfg, and also create a setup.py from a setup.cfg.
msg120619 - (view) Author: Éric Araujo (eric.araujo) * (Python committer) Date: 2010-11-06 14:34
Rejected in http://hg.python.org/distutils2/rev/05f890cbd877: “Removing the converter. This is not going to work out. We have better ideas about d1 -> d2 migration paths” (like mkpkg, now mkcfg, still to be given a better name :).
History
Date User Action Args
2010-11-06 14:34:56eric.araujosetstatus: open -> closed
messages: + msg120619

dependencies: - add a metadata section in setup.cfg, add a resource+files section in setup.cfg, update mkpkg to latest coding standards
resolution: rejected
stage: resolved
2010-09-30 01:54:54eric.araujosetdependencies: + add a metadata section in setup.cfg, add a resource+files section in setup.cfg, update mkpkg to latest coding standards
messages: + msg117691
2010-09-30 01:50:40eric.araujosetversions: + 3rd party, - Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.2
2010-05-14 19:40:10eric.araujosetnosy: + eric.araujo

versions: + Python 2.6, Python 2.5, Python 3.1, Python 2.7, Python 3.2
2010-05-12 00:03:44meatballhatsetnosy: + meatballhat
2010-05-10 22:19:00tareksetmessages: + msg105472
2010-05-10 21:39:31tarekcreate